// These functions control the admin interface when viewing the gallery
$(function() {
	$("#caption-editor").dialog({
			title : "Edit Caption",
			buttons: { 
					"save": function() { 
						$('#caption-form-loader').show();
						$.ajax({
							type: "POST",
							url: $('#caption-form').attr('action'),
							data: "caption="+ $('#caption-text').attr('value'),
							success: function(){
								$('#caption-form-loader').hide();
								$("#caption-editor").dialog("close");
							}
 						});
						return false;
					}, 
					"cancel": function() { 
							$(this).dialog("close"); 
					} 
			} 
	});	
	
	$("#caption-editor").dialog("close");
	
	$('#admin-gallery ul').sortable({
		update : function() {
			$list = $(this);
			$.post($list.attr('id') + '/gallerysort',$list.sortable("serialize"));
		} 
	});
	
	$('a.galleryEditButton').click(function() {
		$button = $(this);
		$button.css({backgroundImage : 'url(image_gallery/images/ajax-loader.gif)'});		
		$.ajax({
			url : $button.attr('href'), 
			success : function(html) {
				$("#caption-editor").html(html).dialog("open");
				$button.css({backgroundImage : 'url(image_gallery/images/pencil.png)'});		
			}, 
			cache : false 
		}); 
		return false;
	});
	
	$('a.galleryDeleteButton').click(function() {
		$button = $(this);
		$button.css({backgroundImage : 'url(image_gallery/images/ajax-loader.gif)'});		
		$.ajax({url:
			$button.attr('href'), 
			success : function(){
				$($button.parents('li').get(0)).fadeOut();
			}
		});
		return false;
	});
	
});